aediff(1)

NAME
aediff - file differences between deltas

SYNOPSIS
aediff [ option... ] filename
aediff -Help
aediff -VERSion

DESCRIPTION
The aediff command is used to obtain the difference between versions of the given filename across different file versions, a specified by the command lien options.

If two changes or deltas are specified, the difference between the versions of the file in each will be output.

If only one change or delta is specified, the second version defaults to the current change.

If no changes or deltas are specified, the first version defaults to the baseline and the second version defaults to the current change.

  Examples
To see the difference in the project configuration file, aegis.conf, between deltas 1.2.D003 and 4.5.D067 the following command may be used:
    aediff aegis.conf -c 1.2.D003 -c 4.5.D067
To see the differences in the project configuration file, between the head of the 7.6 branch and the current change, the following command may be used:
    aediff -branch 7.6 -bl aegis.conf
Many, many other combinatiosn are possible.

  Using Graphical Tools
It is possible to use a graphical diff tool with the aediff(1) command. This is done by using the -command option, or setting the AE2DIFF environment variable. For example, to use the tkdiff(1) command to display the differences you would use a command such as:
    aediff --command=tkdiff filename
If you use this option, many of the diff(1)-specific options will be ignored.

OPTIONS
The following options are understood:

-BaseLine
    This option may be used to specify that the project baseline is the subject of the command.

-Change number
    This option may be used to specify a particular change within a project. See aegis(1) for a complete description of this option.

-COMmand string
    This option may be used to set the command used to display differences. Using this option will cause diff(1)-specific options to be ignored. If not set, defaults to the value of the AE2DIFF environment variable, or "diff" otherwise.

-CONtext [ lines ]
    Use the context output format, showing lines (an integer) lines of context, or three if lines is not given. For proper operation, patch(1) typically needs at least two lines of context.

-DELta number
    This option may be used to specify a particular delta in the project's history to copy the file from, rather than the most current version. If the delta has been given a name (see aedn(1) for how) you may use a delta name instead of a delta number. It is an error if the delta specified does not exist. Delta numbers start from 1 and increase; delta 0 is a special case meaning “when the branch started”.

-DELta_Date string
    This option may be used to specify a particular date and time in the project's history to copy the file from, rather than the most current version. It is an error if the string specified cannot be interpreted as a valid date and time. Quote the string if you need to use spaces.

-DELta_From_Change number
    This option may be used to specify a particular project delta from its change number.

-Ignore_Blank_Lines
    Ignore changes that just insert or delete blank lines.

-Ignore_All_Space
    Ignore white space when comparing lines.

-Ignore_Case
    Ignore changes in case; consider upper- and lower-case to be the same.

-Ignore_Space_Change
    Ignore changes in amount of white space.

-Project name
    This option may be used to select the project of interest. When no -Project option is specified, the AEGIS_PROJECT environment variable is consulted. If that does not exist, the user's $HOME/.aegisrc file is examined for a default project field (see aeuconf(5) for more information). If that does not exist, when the user is only working on changes within a single project, the project name defaults to that project. Otherwise, it is an error.

-Show_C_Function
    Show which C function each change is in.

-TRunk
    This option may be used to specify the project trunk for the origin file, rather than the baseline. (See also -BRanch option, the -trunk option is the same as the “-branch -” option.)

-unified [ lines ]
    Use the unified output format, showing lines (an integer) lines of context, or three if lines is not given. For proper operation, patch(1) typically needs at least two lines of context.

-Help
    This option may be used to obtain more information about how to use the aediff program.

All options may be abbreviated; the abbreviation is documented as the upper case letters, all lower case letters and underscores (_) are optional. You must use consecutive sequences of optional letters.

All options are case insensitive, you may type them in upper case or lower case or a combination of both, case is not important.

For example: the arguments "-project, "-PROJ" and "-p" are all interpreted to mean the -Project option. The argument "-prj" will not be understood, because consecutive optional characters were not supplied.

Options and other command line arguments may be mixed arbitrarily on the command line, after the function selectors.

The GNU long option names are understood. Since all option names for aediff are long, this means ignoring the extra leading '-'. The "--option=value" convention is also understood.

EXIT STATUS
The aediff command will exit with a status of 1 on any error. The aediff command will only exit with a status of 0 if there are no errors.

ENVIRONMENT VARIABLES
See aegis(1) for a list of environment variables which may affect this command. See aepconf(5) for the project configuration file's project_specific field for how to set environment variables for all commands executed by Aegis.

COPYRIGHT
aediff version 4.24.2.D001
Copyright (C) 1991, 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 20 Peter Miller

The aediff program comes with ABSOLUTELY NO WARRANTY; for details use the 'aediff -VERSion License' command. This is free software and you are welcome to redistribute it under certain conditions; for details use the 'aediff -VERSion License' command.

AUTHOR
Peter Miller | E-Mail: | millerp@canb.auug.org.au
/\/\* | WWW: | http://www.canb.auug.org.au/~millerp/